compat: Add kthread support for kernels <= 2.6.35